@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;400;600;800;900;1000&display=swap');

:root{
    --items-per-page: 1;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Nunito', sans-serif;
    letter-spacing: 2px;
}

body {
    width: 100%;
    position: relative;
}

nav {
    padding: 15px 4%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    width: 100%;
    z-index: 10;
    transition: all 1s;
}

nav.sticky {
    background-color: #fff;
    box-shadow: 0px 3px 3px rgba(0, 0, 0, 0.05);
}

nav .web-title {
    color: #0095ff;
    font-size: 2rem;
    font-weight: 900;
    text-decoration: none;
}

nav .left {
    position: relative;
}

nav .left .menu,
nav .left .menu ul {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;
}

nav .left .menu li {
    list-style: none;
    border-radius: 4px;
}

nav.sticky .left .menu li a {
    color: rgb(3, 28, 63);
}

nav .left .menu li:hover {
    background-color: rgb(21, 55, 129);
    transition: all .5s;
}

nav .left .menu li a {
    text-decoration: none;
    color: #eee;
    font-size: 18px;
    padding: 8px 15px;
    display: block;
    transition: all .5s;
}

nav .left .menu li:hover a {
    color: #fff;
}

nav .left .menu ul.sigl li a {
    color: #00b7ff;
    border: 1px solid;
    border-radius: 4px;
}

nav .left .menu-toggle {
    font-size: 2rem;
    color: #ffffff;
    cursor: pointer;
}

nav .left .menu ul.sigl li a:hover {
    background: #fff;
    color: #00b7ff;
    border-color: #fff;
}

nav.sticky .left .menu ul.sigl li a:hover {
    color: #fff;
    background: #00b7ff;
    border-color: #00b7ff;
}

nav .left .menu ul.sigl li a.reg {
    background: #fff;
    border: none;
    border: 1px solid #fff;
}

nav.sticky .left .menu ul.sigl li a.reg {
    background: #0095ff;
    color: #fff;
}

nav.sticky .left .menu ul.sigl li a.reg:hover {
    background: #fff;
    color: #00b7ff;
    border-color: #00b7ff;
    border: 1px solid;
}

nav.sticky .left .menu-toggle,
nav .left .menu-toggle {
    display: none;
}


nav.sticky .left .menu-toggle {
    color: #043f83;
}

section {
    padding: 50px 9%;
    padding-top: 8rem;
    width: 100%;
}

section.banner {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 70vh;
    background: rgb(2, 16, 36);
    text-align: center;
    color: #fff;
}

section.banner h1 {
    font-size: 2.6rem;
}

section.banner p {
    margin-top: 25px;
    font-size: 18px;
}

section.banner button {
    border: none;
    outline: none;
    background: transparent;

    padding: 10px 20px;

    font-size: 1.5rem;
    cursor: pointer;
    margin-top: 50px;
    color: #fff;
    border: 1px solid #0095ff;
    border-radius: 6px;
    transition: all .6s;
}

section.banner button:hover {
    background: #0095ff;
}

/*Carrousel*/

.carousel {
    width: 100%;
    overflow: hidden;
    position: relative;
}

.carousel-container {
    /* Prevent logos from wrapping to the next line */
    white-space: nowrap;

}

section.country-slide{
    padding: 50px 0;
}

section.country-slide h2{
    text-align: center;
    margin-bottom: 25px;
    font-weight: 900;
    color: #043f83;
}

.carousel-item {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin-right: 16px;
    width: fit-content;
}

.carousel-item img{
    width: 70px;
    border: 1px solid #e1e1e1;
}

#country-count{
    color: #0095ff;
    font-weight: 900;
}


section#about h2 ,
section.functionaly h2,
section#about_me h2{
    color: #043f83;
    font-size: 3rem;
    font-weight: 900;
    margin-bottom: 20px;
    text-wrap: wrap;
}

section#about p {
    color: #666;
    font-size: 18px;
    margin-top: 5px;
    letter-spacing: 2px;
}

section.functionaly .funtions-cards {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    gap: 25px;
}

section.functionaly .funtions-cards .function {
    box-shadow: 0 0 .3rem .3rem rgba(0, 0, 0, 0.05);
    width: calc(100% / 3 - 15px);
    padding: 20px 15px;
    border-radius: 6px;
    border: 1px solid #ddd;
    transition: all .8s;
    cursor: pointer;
}

section.functionaly .funtions-cards .function:hover{
    box-shadow: 0 0 .1rem .1rem rgba(0, 0, 0, 0.03);
    border-color: #eee;
}

section.functionaly .funtions-cards .function h3 {

    text-align: center;
    color: #00b7ff;

}

section.functionaly .funtions-cards .function i {
    color: #0095ff;
    text-align: center;
    margin: auto;
    display: block;
    font-size: 2.5rem;
    margin-bottom: 15px;
}

i {
    color: #fff;
    cursor: pointer;
    display: none;
}

section#about_me .content{
    box-shadow: 0 0 .3rem .3rem rgba(0, 0, 0, 0.05);
    border-radius: 6px;
    border: 1px solid #dedede;
    width: fit-content;
    padding: 50px 30px;
    margin: auto;
}

section#about_me img{
    text-align: center;
    border-radius: 50%;
    margin: auto;
    display: block;
    width: 200px;
    height: 200px;
    border: 3px solid #043f83;
    
}

section#about_me h2{
    border-top: 3px solid;
    width: fit-content;
    margin: auto;
    margin-top: 15px;
}

section#about_me .text-body{
    max-width: 720px;
    margin: auto;
    margin-top: 20px;
    text-align: justify;
}

footer {
    width: 100%;
    padding: 40px 20px 0px 20px;
    margin-top: 50px;
    color: #666;
    background: rgb(239, 241, 243);
}

footer .bottom {
    text-align: center;
    color: rgb(4, 204, 117);
    padding: 10px;
    gap: 10px;
    position: relative;
}

footer .bottom::after {
    position: absolute;
    width: 100%;
    content: '';
    height: 1px;
    background: rgb(202, 191, 191);
    left: 0;
    top: 0;
}

.creator {
    color: #00b7ff;
    font-size: 1.5rem;
    font-weight: 900;
    letter-spacing: 2px;
}

footer .contact a {
    text-decoration: none;
    margin-top: 5px;
}

footer .links {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px 20px 20px 20px;
}

footer .links li {
    list-style: none;

}

footer .links .social-media,
footer .links .middle{
    display: flex;
    gap: 10px;
}

footer .bxs-map {
    color: green;
    font-size: 1.4rem;
}

footer .location {
    display: flex;
    align-items: center;
    justify-content: center;
}

footer i {
    cursor: default;
}

footer .links .social-media a,
footer .links .middle a{
    text-decoration: none;

}

footer .links .middle a i{
    color: #00b7ff;
}

footer .links .middle a{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 7px;
}

footer .links .social-media a:hover i{
    box-shadow: 0 0 .2rem .2rem rgba(0, 0, 0, 0.03);
}

footer .links .social-media a i {
    font-size: 1.5rem;
    color: #ffffff;
    width: 40px;
    height: 40px;
    background: #c4c7ca;
    display: flex;
    align-items: center;
    cursor: pointer;
    justify-content: center;
    border-radius: 50%;
    transition: all 1s ease-in-out;
}

footer .links .social-media a.whatsapp:hover i {
    background: green;
}

footer .links .social-media a.facebook:hover i {
    color: #00b7ff;
    background: #fff;
}

footer .links .social-media a.youtube:hover i {
    background: red;
}

footer .links .social-media a.instagram:hover i {
    background: #f09433;
    background: -moz-linear-gradient(45deg, #f09433 0%, #e6683c 25%, #dc2743 50%, #cc2366 75%, #bc1888 100%);
    background: -webkit-linear-gradient(45deg, #f09433 0%, #e6683c 25%, #dc2743 50%, #cc2366 75%, #bc1888 100%);
    background: linear-gradient(45deg, #f09433 0%, #e6683c 25%, #dc2743 50%, #cc2366 75%, #bc1888 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f09433', endColorstr='#bc1888', GradientType=1);
}


@media (max-width: 870px) {

    .nav .left .menu-toggle {
        color: rgb(2, 16, 36);
    }

    nav.sticky .left .menu-toggle,
    nav .left .menu-toggle {
        display: block;
    }

    nav .left .menu {
        position: absolute;
        flex-direction: column;
        right: 0px;
        top: 100%;
        justify-content: start;
        align-items: flex-start;
        box-shadow: 0 0 .3rem .3rem rgba(245, 245, 245, 0.04);
        border-radius: 4px;
        width: 300px;
        display: none;
        background: rgb(255, 255, 255);
        margin-top: 20px;
        padding: 20px 10px 0 10px;
    }

    nav .left .menu::before{
        content: '';
        position: absolute;
        width: 15px;
        height: 15px;
        transform: rotate(45deg);
        background: #ffffff;
        top: -7.5px;
        box-shadow: -3px -3px rgba(0, 0, 0, 0.05);
        right: 15px;
    }

    nav.sticky .left .menu {
        box-shadow: 0 0 .3rem .3rem rgba(0, 0, 0, 0.05);
    }

    nav .left .menu.active {
        display: block;
    }

    nav .left .menu.active li {
        width: 100%;
    }

    nav .left .menu.active .sigl {
        width: 100%;
        margin-top: 10px;
        border-top: 1px solid #eeeeee67;
        padding: 20px 10px;
        padding-top: 20px;
    }

    nav .left .menu.active .sigl li {
        width: 100%;
        text-align: center;
    }

    footer .links {
        flex-direction: column;
        gap: 30px;
    }

    nav.sticky .left .menu ul.sigl li a.reg,
    nav .left .menu ul.sigl li a.reg {
        background: #0095ff;
        color: #fff;
    }

    nav .left .menu li a {
        color: rgb(3, 28, 63);
    }

    section.functionaly .funtions-cards .function{
        width: 100%;
    }

    section.functionaly .funtions-cards{
        flex-wrap: wrap;
    }
}


.text-area {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.text-area img{
    width: 400px;
    
    box-shadow: 0 0 .4rem .4rem rgba(0, 0, 0, 0.06);
}

svg {
    height: 500px;
    width: 500px;
    background: beige;
}